<?php
/*
Plugin Name: Perso About
Version: 12.0.a
Description: Add bloc perso on about page
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=480
Author: ddtddt
Author URI: http://temmii.com/piwigo/
Has Settings: webmaster
*/
// +-----------------------------------------------------------------------+
// | Perso About plugin for piwigo by TEMMII                               |
// +-----------------------------------------------------------------------+
// | Copyright(C) 2010 - 2022 ddtddt             http://temmii.com/piwigo/ |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

define('PPA_DIR' , basename(dirname(__FILE__)));
define('PPA_PATH' , PHPWG_PLUGINS_PATH . PPA_DIR . '/');
define('PPA_ADMIN',get_root_url().'admin.php?page=plugin-'.PPA_DIR);

add_event_handler('loading_lang', 'perso_about_loading_lang');	  
function perso_about_loading_lang(){
  load_language('plugin.lang', PPA_PATH);
}

if (script_basename() == 'about'){
  add_event_handler('loc_end_page_header', 'ppa');
}

function ppa(){
  global $template, $conf, $pwg_loaded_plugins;
  $template->set_prefilter('about', 'ppaT');
  if (isset($pwg_loaded_plugins['ExtendedDescription'])){
	add_event_handler('AP_render_content', 'get_user_language_desc');
  }
  $pat=trigger_change('AP_render_content', $conf['persoAbout']);
  if (!empty($pat)){
	$template->assign('PERSO_ABOUT', $pat);
  }
}

function ppaT($content){
  $search = '{$ABOUT_MESSAGE}';
  $replacement = '<div id="persoabout">{$PERSO_ABOUT}</div>
  {$ABOUT_MESSAGE}';
  return str_replace($search, $replacement, $content);
}
?>